org.springframework.jmx.export

## Interface MBeanExporterListener

    public interface MBeanExporterListener

A listener that allows application code to be notified when an MBean is registered and unregistered via an `MBeanExporter`.

Since:
  1.2.2
Author:
  Rob Harrop
See Also:
  `MBeanExporter.setListeners(org.springframework.jmx.export.MBeanExporterListener[])`

### Method Summary

Methods
`void` `mbeanRegistered(ObjectName objectName)` Called by `MBeanExporter` after an MBean has been successfully registered with an `MBeanServer`.
`void` `mbeanUnregistered(ObjectName objectName)` Called by `MBeanExporter` after an MBean has been successfully unregistered from an `MBeanServer`.

### Method Detail

#### mbeanRegistered

    void mbeanRegistered(ObjectName objectName)

Called by `MBeanExporter` after an MBean has been successfully registered with an `MBeanServer`.

Parameters:
  `objectName` - the `ObjectName` of the registered MBean

#### mbeanUnregistered

    void mbeanUnregistered(ObjectName objectName)

Called by `MBeanExporter` after an MBean has been successfully unregistered from an `MBeanServer`.

Parameters:
  `objectName` - the `ObjectName` of the unregistered MBean